## org.h2.engine
Class MetaRecord

    java.lang.Object
      org.h2.engine.MetaRecord

    public class MetaRecord

extends java.lang.Object

A record in the system table of the database. It contains the SQL statement to create the database object.

Constructor Summary
`MetaRecord(SearchRow r)`

Method Summary
`int` `getId()`
`int` `getObjectType()`
`java.lang.String` `getSQL()`
`static void` `sort(ObjectArray<MetaRecord> records)` Sort the list of meta records by 'create order'.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaRecord

    public MetaRecord(SearchRow r)
               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

Method Detail

### sort

    public static void sort(ObjectArray<MetaRecord> records)

  Sort the list of meta records by 'create order'.

  Parameters:
    `records` - the list of meta records

### getId

    public int getId()

### getObjectType

    public int getObjectType()

### getSQL

    public java.lang.String getSQL()